import QtQuick 2.0
import Ubuntu.Components 1.1
import QtMultimedia 5.0

/*!
    \brief MainView with a Label and Button elements.
*/

MainView {
    applicationName: "untitled13.mzanetti"

    useDeprecatedToolbar: false

    width: units.gu(100)
    height: units.gu(75)

    Camera {
        id: camera
    }

    VideoOutput {
        id: videoOutput
        anchors {
            fill: parent
        }
        fillMode: Image.PreserveAspectCrop
        orientation: device.naturalOrientation === "portrait"  ? -90 : 0
        source: camera
        focus: visible
    }
}

